Subject: bug#21738: 25.0.50; eww freezes/crashes at times

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Oct 2015 22:16:37 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Fri, 23 Oct 2015 15:01:12 -0400
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> I updated to the latest Imagemagick (v 6.9.2-4) and "r -Q" emacs
> session still freezes in gdb when I evaluate
> 
> (eww "http://www.braveclojure.com/basic-emacs")
> 
> This time though, I got a much longer backtrace (attached) but the
> main error is still similar (that number following UnregisterTIFFImage
> changed):
> 
> > emacs: Memory allocation failed `No such file or directory' @ fatal/tiff.c/UnregisterTIFFImage/2379.

What does this display:

 (gdb) frame 63
 (gdb) pp error_symbol
 (gdb) pp data